Subject: [Teas-ns-dt] Attempting to define network function / service function / transport function for discussion

From: LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>
Date: Mon, 11 Nov 2019 17:37:12 +0000

Hi all,

According to the discussion today, let me provide a potential definition for distinguishing transport function from service function. For that I'm borrowing part of the definitions we included in draft-ietf-teas-sf-aware-topo-model-04

Terms as defined in draft-ietf-teas-sf-aware-topo-model-04:

.- Network Function (NF): A functional block within a network infrastructure that has well-defined external interfaces and well-defined functional behaviour [ETSI-NFV-TERM].  Such functions include message router, CDN, session border controller, WAN acceleration, DPI, firewall, NAT, QoE monitor, PE router, BRAS, and radio/fixed access network nodes.

.- Service Function (SF): A function that is responsible for specific treatment of received packets.  A service function can act at various layers of a protocol stack (e.g., at the network
layer or other OSI layers).  As a logical component, a service function can be realized as a virtual element or be embedded in a physical network element.  One or more service functions can be embedded in the same network element.  Multiple occurrences of the service function can exist in the same administrative domain.  A non-exhaustive list of service functions includes: firewalls, WAN and application acceleration, Deep Packet Inspection (DPI), server load balancers, NAT44 [RFC3022], NAT64 [RFC6146], HTTP header enrichment functions, and TCP optimizers.  The generic term "L4-L7 services" is often used to describe many service functions [RFC7498].

Elaborating on top of them, I think we could define for NSDT work the following:

.- Transport Function, as function which is used for transporting or forwarding the user data payload without any processing or modification of it.

.- Service Function, as a function that manipulates, process or modify somehow the user data payload.

.- Network Function, as a generic term including both Service Function (SF) and Transport Function (TF). The definition in draft-ietf-teas-sf-aware-topo-model could be re-used.

Then, for transport slicing the objective would be to provide connectivity among service functions, as presented today in Jari's slides. In some cases the connectivity among SFs could require the traversing of some TFs, while in other cases not, being transparent for the transport slice consumer and decided by the transport slice producer.

Best regards

Luis

__________________________________
Luis M. Contreras

Technology and Planning
Transport, IP and Interconnection Networks
Telefónica I+D / Global CTIO unit / Telefónica

Distrito Telefónica, Edificio Sur 3, Planta 3
28050 Madrid
España / Spain

Skype (Lync): +34 91 312 9084
Mobile: +34 680 947 650
[email-masked]<mailto:[email-masked]>

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição